Skip to end of metadata
Go to start of metadata

Versions are ordered by most recent to the top.


 ThemeBuilder 5.7.0 for Confluence 5.9.8-6.9.0 - 6th June 2018

Compatibility with Confluence 6.9 and Bugfixes

This release addressed customer reported issues with theme resources and actions causing log errors

  • Compatibility with Confluence 6.9.x
  • Added JMX metrics to panel rendering and theme resources
  • Performance & stability improvements for licensing & theme resources
 ThemeBuilder 5.6.12 for Confluence 5.9.8-6.8.0 - 30th March 2018

Resource Link Bugfix

This release has a fix for ThemeBuilder resource links where using & was adding errors to the logs. - TBD-19

 ThemeBuilder 5.6.11 for Confluence 5.9.8-6.8.0 - 29th March 2018

Confluence 6.8.0 Compatibility and Bugfix

This release adds Confluence 6.8.0 compatibility to ThemeBuilder and has an additional fix for a reported issue where the labels page fails to load and produces log errors - TBD-19

 ThemeBuilder 5.6.10 for Confluence 5.9.8-6.7.1 - 1st March 2018

Bugfix Release for Issue with Labels Page

This release fixes a reported issue where the labels page fails to load and produces log errors - TBD-19

 ThemeBuilder 5.6.9 for Confluence 5.9.8-6.7.0 - 2nd February 2018

Confluence 6.7.0 Compatibility

This release adds Confluence 6.7.0 compatibility to ThemeBuilder.

 ThemeBuilder 5.6.8 for Confluence 5.9.8-6.6.0 - 14th December 2017

Confluence 6.6.0 Compatibility

This release adds Confluence 6.6.0 compatibility to ThemeBuilder.

The ThemeBuilder Get Started screen has been updated and additional documentation links added.

 ThemeBuilder 5.6.7 Create From Template Screen Bug Fix- 6th December 2017

Bug Fix for Create from Template Screen

When creating a page from a template the edit screen was squashed into a corner of the page. This has been fixed with this release.
 ThemeBuilder 5.6.6 Administration Refresh - 24th November 2017

ThemeBuilder Administration Screens Refresh

ThemeBuilder administration screens have been updated to match the Confluence look and feel, with documentation links and explanatory text.
 ThemeBuilder 5.6.5 for Confluence 5.9.8-6.5.0 - 13th November 2017

Confluence 6.5 Compatibility

This release adds Confluence 6.5 compatibility to ThemeBuilder

ThemeBuilder administration screens have been updated with documentation links and explanatory text.

 ThemeBuilder 5.6.4 for Confluence 5.9.8-6.4.0 - 8th September 2017

Confluence 6.4 Compatibility

This release adds Confluence 6.4 compatibility to ThemeBuilder.

 ThemeBuilder 5.6.3 for Confluence 5.9.8-6.3.2 - 10th August 2017

User Profile Image Bugfix

This release fixes a bug where the user profile image was not showing in the Confluence header, comments or profile pages.

 ThemeBuilder 5.6.1 for Confluence 5.9.8-6.3.2 - 3rd August 2017

Confluence 6.3 Compatibility

This release adds Confluence 6.3 compatibility to ThemeBuilder.

The ROOT skin CSS has been removed as the fixes for the Confluence Dashboard and Edit mode it addressed are no longer needed.

 ThemeBuilder 5.6.0 for Confluence 5.9.8-6.2.1 - 8th June 2017

Confluence 6.2.1 Compatibility

This release adds Confluence 6.2.1 compatibility to ThemeBuilder.

ThemeBuilder macros now have links direct to their relevant documentation.

In this version we have deprecated the Selectacular and Trim Comments add-ons as dependencies and they will no longer be available as part of ThemeBuilder. Read more about this decision.

 ThemeBuilder 5.5.9 for Confluence 5.9.8 to 6+ - 23rd February 2017

Bug Fix

  • Fixed a bug in the Render Storage Format macro that caused it to show an error message in Confluence
 ThemeBuilder 5.5.8 for Confluence 6+ - 12th Dec 2016

Confluence 6 Compatibility

  • Fixes for Confluence decorator changes.
  • ThemeBuilder is now backwards compatible to Confluence 5.9.8
    • The fixes for the decorator changes mean we can now make ThemeBuilder compatible back to version 5.9.8 of Confluence
 ThemeBuilder 5.5.7 for Confluence 5.9.10+ - 17th Oct 2016

Patch Release

  • Fix for licence module failure message:
    • After install a module failure message was being shown - FIXED
    • In the module list the builderLicense module was disabled - FIXED
 ThemeBuilder 5.5.6 for Confluence 5.9.10+ - 26th July 2016

Patch Release

  • Fix for panel-menu macro when displaying the aui-create menu.
    • The aui-create menu has been deprecated by Atlassian so was no longer displaying when selected as part of the panel-menu macro.
    • This has been fixed by replicating the aui-create menu within ThemeBuilder.
 ThemeBuilder 5.5.5 for Confluence 5.5.10 - 12th July 2016

Confluence 5.10 Compatibility

This release covers compatibility for Confluence 5.10.0 - 5.10.x

There are no known issues but it is recommended that the Atlassian Universal Plugin Manager is on at least version 2.21

 ThemeBuilder 5.5.3 and 5.5.4 Were Not Released Externally

Confluence 5.10 Compatibility

ThemeBuilder 5.5.3 and 5.5.4 did not pass internal quality control and were not released to the Atlassian Marketplace. The next public release is ThemeBuilder 5.5.5
 ThemeBuilder 5.5.2 for Confluence 5.9.7-5.9.10 - 7th June 2016

Patch Release

  • Fix for displaying Confluence version number in the footer.
  • People directory page padding fixes.
 ThemeBuilder 5.5.1 for Confluence 5.9.7-5.9.10 - 17th May 2016

Patch Release for Issue with Table of Contents macro

There was an issue with the Confluence Table of Contents macro where page comments were being picked up as items to display as well as headings. This has now been fixed.

 ThemeBuilder 5.5.0 for Confluence 5.9.7-5.9.10 - 13th May 2016

Confluence 5.9.7 Compatibility

This release covers compatibility for Confluence 5.9.7 to 5.9.10

The standard-dashboard panel has been renamed to simple-dashboard to fit better with Atlassian naming of Confluence elements.

You can read more about the new dashboard functionality on the page Panel Code: Dashboard Example

Known Issues

  • When a skin panel is opened for editing the first time the code could be written on one line, or not as neatly as expected. To fix this use the 'Prettify' button in the panel editor to indent and tidy the code. Use Apply to save the changes

 ThemeBuilder for Confluence Versions 5.9.5-5.9.6

Confluence 5.9.5-5.9.6 Compatibility

Due to a bug in Confluence 5.9.5 and 5.9.6 we are unable to provide a version of ThemeBuilder that will work in those versions of Confluence. The bug is marked as resolved here https://jira.atlassian.com/browse/CONF-33938 but has returned in Confluence 5.9.5-5.9.6 :  https://jira.atlassian.com/browse/CONF-41547.

 ThemeBuilder 5.4.0 for Confluence 5.9.1-5.9.4 - 11th April 2016

Confluence 5.9 Compatibility

This release covers compatibility for Confluence 5.9.1 to 5.9.4

The changes are mainly in the dashboard area and include new dashboard code so either the Confluence 5.9+ or Confluence pre 5.9 style dashboard can be set by the theme administrator. This change means that there are now two versions of the dashboard panels called standard-dashboard for Confluence 5.9+ or classic-dashboard for Confluence pre 5.9

You can read more about the new dashboard functionality on the page Panel Code: Dashboard Example

Known Issues

  • When a skin panel is opened for editing the first time the code will be written on one line. To fix this use the 'Prettify' button in the panel editor to indent and tidy the code. Use Apply to save the changes


Additional Release Resources

  • No labels